Subject: Celebrity looks cost less now!

From: " Webadmin" <[email-masked] >
Date: Thu, 5 Jul 2007 23:42:48 -0400

Hottest offer of this summer – affordable replica watches at our shop!
Lowest prices, free express delivery and the widest choice here!
Huge choice of desirable chronometers always in stock – only at our shop!
http://stflu.com